#
# spec file for package linkt (Version 0.6.99)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf fam gpp kdelibs kdelibs-artsd kdelibs-devel libax25 libgpp libjpeg liblcms libmng libmng-devel libpng libungif mesa mesa-devel mesasoft qt qt-devel qt-extensions xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs kdelibs-artsd kdelibs-devel less libax25 libgpp libjpeg liblcms libmng libmng-devel libpng libtool libungif libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         linkt
Copyright:    1997-2001 Jochen Tillmann-Sarrazin DG6VJ
Group:        X11/Applications/Hamradio
Provides:     linkt 
Requires:     ax25spyd
Autoreqprov:  on
Version:      0.6.99
Release:      92
Summary:      Packet radio-terminal for the K Desktop Environment (KDE)
Source:       linkt-0.6.99-20010902.tar.bz2
Patch:        linkt-0.6.99-20010902.dif

%description
LinKT is the first packet radio-terminal for the K Desktop Environment (KDE).
Starting with version 0.6.0 it will consist of the following three parts:
LinKT itself, MonKT, the LinKT monitor with DX-cluster-spy etc. and ConvKT,
a ping-pong-convers client.

Authors:
--------
    Jochen Tillmann-Sarrazin <jochen@1409.org>

SuSE series: ham

%prep
%{?suse_update_config:%{suse_update_config}}
%setup -n linkt-0.6.99-20010902 
%patch

%build
make -f Makefile.cvs
%ifarch alpha
SYSTEM=alpha-unknown-linux
%else
SYSTEM=i486-unknown-linux-gnu
%endif
export QTDIR=/usr/lib/qt2
export KDEDIR=/opt/kde2
export AX25LIB=/usr/include/netax25
./configure --prefix=/opt/kde2 --with-qt-dir=/usr/lib/qt2
make

%install
make install

%files
%doc CHANGES COPYING FAQ.de FAQ.eng INSTALL INSTALL.Monitor README
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/applnk/Applications/HamRadio
%dir /opt/kde2/share/apps/linkt
%dir /opt/kde2/share/apps/linkt/pics
%dir /opt/kde2/share/apps/monkt
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/de/linkt
%dir /opt/kde2/share/doc/HTML/de/linkt/ax25
%dir /opt/kde2/share/doc/HTML/en/linkt
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/cs
%dir /opt/kde2/share/locale/cs/LC_MESSAGES
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/en
%dir /opt/kde2/share/locale/en/LC_MESSAGES
%dir /opt/kde2/share/locale/es
%dir /opt/kde2/share/locale/es/LC_MESSAGES
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
%dir /opt/kde2/share/locale/nl
%dir /opt/kde2/share/locale/nl/LC_MESSAGES
%dir /opt/kde2/share/locale/pl
%dir /opt/kde2/share/locale/pl/LC_MESSAGES
/opt/kde2/bin/linkt
/opt/kde2/bin/monkt
/opt/kde2/share/applnk/Applications/HamRadio/linkt.kdelnk
/opt/kde2/share/applnk/Applications/HamRadio/monkt.kdelnk
%config /opt/kde2/share/apps/linkt/boxcheck.dat
%config /opt/kde2/share/apps/linkt/cookies
%config /opt/kde2/share/apps/linkt/ctext
%config /opt/kde2/share/apps/linkt/qtext
%config /opt/kde2/share/apps/monkt/dxc.dat
/opt/kde2/share/apps/linkt/pics/linkt.xpm
/opt/kde2/share/apps/linkt/pics/linkt_boxcheck.xpm
/opt/kde2/share/apps/linkt/pics/linkt_config.xpm
/opt/kde2/share/apps/linkt/pics/linkt_connect.xpm
/opt/kde2/share/apps/linkt/pics/linkt_contents.xpm
/opt/kde2/share/apps/linkt/pics/linkt_contexthelp.xpm
/opt/kde2/share/apps/linkt/pics/linkt_disconnect.xpm
/opt/kde2/share/apps/linkt/pics/linkt_gpg.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_com.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_e.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_lt.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_r.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_rep.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mail_tr.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_about.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_away.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_configure.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_connect.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_disconnect.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_exit.xpm
/opt/kde2/share/apps/linkt/pics/linkt_mini_settings.xpm
/opt/kde2/share/apps/linkt/pics/linkt_password.xpm
/opt/kde2/share/apps/linkt/pics/linkt_receive.xpm
/opt/kde2/share/apps/linkt/pics/linkt_transmit.xpm
/opt/kde2/share/apps/linkt/pics/linktlogo.jpg
%doc /opt/kde2/share/doc/HTML/de/linkt/a.html
%doc /opt/kde2/share/doc/HTML/de/linkt/aa.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ab.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/copying.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/finish.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/index.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/intro.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/kernel.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/kernel_compile.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/kernel_config.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/kernel_update.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/modem.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/scc.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/soundcard.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/tnc.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/utilities-debian.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/utilities-redhat.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/utilities-source.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/utilities-suse.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ax25/utilities.html
%doc /opt/kde2/share/doc/HTML/de/linkt/b.html
%doc /opt/kde2/share/doc/HTML/de/linkt/boxcheck.png
%doc /opt/kde2/share/doc/HTML/de/linkt/c.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ca.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cb.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cbaa.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cbab.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cbba.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cbcb.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cc.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cd.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ce.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cf.html
%doc /opt/kde2/share/doc/HTML/de/linkt/cg.html
%doc /opt/kde2/share/doc/HTML/de/linkt/ch.html
%doc /opt/kde2/share/doc/HTML/de/linkt/config.png
%doc /opt/kde2/share/doc/HTML/de/linkt/connect.png
%doc /opt/kde2/share/doc/HTML/de/linkt/d.html
%doc /opt/kde2/share/doc/HTML/de/linkt/da.html
%doc /opt/kde2/share/doc/HTML/de/linkt/db.html
%doc /opt/kde2/share/doc/HTML/de/linkt/disconnect.png
%doc /opt/kde2/share/doc/HTML/de/linkt/doc.css
%doc /opt/kde2/share/doc/HTML/de/linkt/down.png
%doc /opt/kde2/share/doc/HTML/de/linkt/e.html
%doc /opt/kde2/share/doc/HTML/de/linkt/faq.html
%doc /opt/kde2/share/doc/HTML/de/linkt/gnupg.png
%doc /opt/kde2/share/doc/HTML/de/linkt/index.html
%doc /opt/kde2/share/doc/HTML/de/linkt/linkt_cfg.png
%doc /opt/kde2/share/doc/HTML/de/linkt/linkt_chan.png
%doc /opt/kde2/share/doc/HTML/de/linkt/linkt_main.png
%doc /opt/kde2/share/doc/HTML/de/linkt/linkt_send.png
%doc /opt/kde2/share/doc/HTML/de/linkt/next.png
%doc /opt/kde2/share/doc/HTML/de/linkt/password.png
%doc /opt/kde2/share/doc/HTML/de/linkt/prev.png
%doc /opt/kde2/share/doc/HTML/de/linkt/receive.png
%doc /opt/kde2/share/doc/HTML/de/linkt/transmit.png
%doc /opt/kde2/share/doc/HTML/de/linkt/up.png
%doc /opt/kde2/share/doc/HTML/en/linkt/a.html
%doc /opt/kde2/share/doc/HTML/en/linkt/aa.html
%doc /opt/kde2/share/doc/HTML/en/linkt/ab.html
%doc /opt/kde2/share/doc/HTML/en/linkt/b.html
%doc /opt/kde2/share/doc/HTML/en/linkt/c.html
%doc /opt/kde2/share/doc/HTML/en/linkt/ca.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cb.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cbaa.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cbab.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cbac.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cbba.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cbcb.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cc.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cd.html
%doc /opt/kde2/share/doc/HTML/en/linkt/ce.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cf.html
%doc /opt/kde2/share/doc/HTML/en/linkt/cg.html
%doc /opt/kde2/share/doc/HTML/en/linkt/ch.html
%doc /opt/kde2/share/doc/HTML/en/linkt/d.html
%doc /opt/kde2/share/doc/HTML/en/linkt/down.gif
%doc /opt/kde2/share/doc/HTML/en/linkt/e.html
%doc /opt/kde2/share/doc/HTML/en/linkt/index.html
%doc /opt/kde2/share/doc/HTML/en/linkt/next.gif
%doc /opt/kde2/share/doc/HTML/en/linkt/prev.gif
%doc /opt/kde2/share/doc/HTML/en/linkt/up.gif
/opt/kde2/share/locale/cs/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/de/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/en/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/es/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/it/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/nl/LC_MESSAGES/linkt-0.6.99-20010902.mo
/opt/kde2/share/locale/pl/LC_MESSAGES/linkt-0.6.99-20010902.mo

%changelog -n linkt
* Mon Sep 03 2001 - jreuter@suse.de
- latest CVS version (tested), adds missing icons in tool bar
  and some minor bugs
- spec file modifications
* Mon Aug 13 2001 - ro@suse.de
- added kdelibs to neededforbuild
* Fri Aug 10 2001 - ro@suse.de
- updated neededforbuild
* Thu Aug 09 2001 - ro@suse.de
- fixed autoconf 2.52 glitches
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Thu May 25 2000 - ro@suse.de
- doc to /usr/share/doc
* Thu Nov 11 1999 - ka@suse.de
- update to version 0.6.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - ka@suse.de
- update to version 0.6.1
* Thu Jun 24 1999 - ro@suse.de
- fixed for libax25-0.0.4
* Mon May 31 1999 - ro@suse.de
- fixed specfile
* Sat May 29 1999 - ka@suse.de
- update to version 0.6.0
* Fri May 07 1999 - ka@suse.de
- changed from gcc to egcs compiler
* Tue Mar 09 1999 - ka@suse.de
- initial release
